Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ajp
Class Ajp13Parser

    java.lang.Object
      org.mortbay.jetty.ajp.Ajp13Parser

All Implemented Interfaces:
  Parser

    public class Ajp13Parser

extends java.lang.Object
implements Parser

Author:
  Markus Kobler

Nested Class Summary
`static interface` | `Ajp13Parser.EventHandler`
`static class` | `Ajp13Parser.Input` TODO Make this common with HttpParser

Field Summary
`protected int` | `_length`
`protected int` | `_packetLength`

Constructor Summary
`Ajp13Parser(Buffers buffers, EndPoint endPoint)`

Method Summary
`long` | `getContentLength()`
`int` | `getState()`
`boolean` | `inContentState()`
`boolean` | `inHeaderState()`
`boolean` | `isComplete()`
`boolean` | `isIdle()`
`boolean` | `isMoreInBuffer()`
`boolean` | `isState(int state)`
`void` | `parse()`
`long` | `parseAvailable()`
`long` | `parseNext()`
`void` | `reset(boolean returnBuffers)`
`void` | `setEventHandler(Ajp13Parser.EventHandler handler)`
`void` | `setGenerator(Ajp13Generator generator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _length

    protected int _length

### _packetLength

    protected int _packetLength

Constructor Detail

### Ajp13Parser

    public Ajp13Parser(Buffers buffers,
                       EndPoint endPoint)

Method Detail

### setEventHandler

    public void setEventHandler(Ajp13Parser.EventHandler handler)

### setGenerator

    public void setGenerator(Ajp13Generator generator)

### getContentLength

    public long getContentLength()

### getState

    public int getState()

### inContentState

    public boolean inContentState()

### inHeaderState

    public boolean inHeaderState()

### isIdle

    public boolean isIdle()

  Specified by:
    `isIdle` in interface `Parser`

### isComplete

    public boolean isComplete()

  Specified by:
    `isComplete` in interface `Parser`

### isMoreInBuffer

    public boolean isMoreInBuffer()

  Specified by:
    `isMoreInBuffer` in interface `Parser`

### isState

    public boolean isState(int state)

### parse

    public void parse()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseAvailable

    public long parseAvailable()
                        throws java.io.IOException

  Specified by:
    `parseAvailable` in interface `Parser`
  Throws:
    `java.io.IOException`

### parseNext

    public long parseNext()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### reset

    public void reset(boolean returnBuffers)

  Specified by:
    `reset` in interface `Parser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.